libsigc++ 2.10.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Attributes | List of all members
sigc::can_deduce_result_type_with_decltype< T_functor > Class Template Reference
Functors

Helper class, to determine if decltype() can deduce the result type of a functor. More...

`#include <sigc++/functors/functor_trait.h>`

## Static Public Attributes
static const bool | value

## Detailed Description

### template<typename T_functor>
class sigc::can_deduce_result_type_with_decltype< T_functor >

Helper class, to determine if decltype() can deduce the result type of a functor.

## Member Data Documentation

template <typename T_functor >

const bool sigc::can_deduce_result_type_with_decltype< T_functor >::value
| static